# Accounts

An **account** tracks the balance(s) and transactions history of a data source. In the context of a distributed ledger, it relies on a set of keys and addresses provided by its **vault**.

For multi-address ledger protocols, accounts may generate and track multiple separate addresses transparently. For multi-currency protocols, a single account may have multiple balances corresponding to each respective asset owned by the **account**.

An **account** ensures the quarantine of all incoming transfers, such that their release is suject to a formal **policy**. It also manages balance reserves to ensure fully approved transaction orders become executable with little delay.

The locking of an **account** prevents the execution of any **transaction order** related to the specific **account**, as well as the release of quarantined incoming **transfers**.

## List accounts

 - [GET /v1/domains/{domainId}/accounts](https://docs.ripple.com/products/custody/reference/api/openapi/accounts/getaccounts.md)

## Get address from all generated addresses across domains

 - [GET /v1/addresses](https://docs.ripple.com/products/custody/reference/api/openapi/accounts/getalldomainsaddresses.md)

## List compliance configurations for all accounts in a domain

 - [GET /v1/domains/{domainId}/compliance-configurations](https://docs.ripple.com/products/custody/reference/api/openapi/accounts/listcomplianceconfigurations.md)

## Get compliance configuration for an account

 - [GET /v1/domains/{domainId}/accounts/{accountId}/compliance-configuration](https://docs.ripple.com/products/custody/reference/api/openapi/accounts/getcomplianceconfiguration.md)

## Create or update compliance configuration for an account

 - [PUT /v1/domains/{domainId}/accounts/{accountId}/compliance-configuration](https://docs.ripple.com/products/custody/reference/api/openapi/accounts/upsertcomplianceconfiguration.md)

## Get account details

 - [GET /v1/domains/{domainId}/accounts/{accountId}](https://docs.ripple.com/products/custody/reference/api/openapi/accounts/getaccount.md)

## Retrieve all generated addresses

 - [GET /v1/domains/{domainId}/accounts/{accountId}/addresses](https://docs.ripple.com/products/custody/reference/api/openapi/accounts/getaddresses.md)

## Generate new account external address

 - [POST /v1/domains/{domainId}/accounts/{accountId}/addresses/{ledgerId}](https://docs.ripple.com/products/custody/reference/api/openapi/accounts/generatenewexternaladdress.md)

## Retrieve account address

 - [GET /v1/domains/{domainId}/accounts/{accountId}/addresses/{accountAddressId}](https://docs.ripple.com/products/custody/reference/api/openapi/accounts/getaccountaddress.md)

## Get account balances

 - [GET /v1/domains/{domainId}/accounts/{accountId}/balances](https://docs.ripple.com/products/custody/reference/api/openapi/accounts/getaccountbalances.md)

## Update account balances forcefully

 - [POST /v1/domains/{domainId}/accounts/{accountId}/balances/refresh](https://docs.ripple.com/products/custody/reference/api/openapi/accounts/forceupdateaccountbalances.md)

## List manifests

 - [GET /v1/domains/{domainId}/accounts/{accountId}/manifests](https://docs.ripple.com/products/custody/reference/api/openapi/accounts/getmanifests.md)

## Get manifest details

 - [GET /v1/domains/{domainId}/accounts/{accountId}/manifests/{manifestId}](https://docs.ripple.com/products/custody/reference/api/openapi/accounts/getmanifest.md)

## Generate new account external address (deprecated)

 - [POST /v1/domains/{domainId}/accounts/{accountId}/addresses](https://docs.ripple.com/products/custody/reference/api/openapi/accounts/generatenewexternaladdressdeprecated.md)

## Retrieve latest external address (deprecated)

 - [GET /v1/domains/{domainId}/accounts/{accountId}/addresses/latest](https://docs.ripple.com/products/custody/reference/api/openapi/accounts/getlatestaddress.md)

## Get account confirmed balance for a specific ticker (deprecated)

 - [GET /v1/domains/{domainId}/accounts/{accountId}/confirmed-balance/{tickerId}](https://docs.ripple.com/products/custody/reference/api/openapi/accounts/getaccountconfirmedbalance.md)

